## visad.java3d
Class WandBehaviorJ3D

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Behavior
                      visad.java3d.MouseBehaviorJ3D
                          visad.java3d.WandBehaviorJ3D

All Implemented Interfaces:
  MouseBehavior, Runnable

public class WandBehaviorJ3D
extends MouseBehaviorJ3D
implements Runnable, MouseBehavior

WandBehaviorJ3D is the VisAD class for wand behaviors for Java3D it works with ImmersaDeskDisplayRendererJ3D

Field Summary
`(package private) DisplayImpl` `display`
`(package private) ImmersaDeskDisplayRendererJ3D` `display_renderer` DisplayRenderer for Display

Fields inherited from class visad.java3d.MouseBehaviorJ3D
`EPS, helper`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Fields inherited from class javax.media.j3d.SceneGraphObject
``

Constructor Summary
`WandBehaviorJ3D(ImmersaDeskDisplayRendererJ3D r, int tracker_shmkey, int controller_shmkey)`

Method Summary
`void` `initialize()` Initialize this behavior.
`void` `processStimulus(Enumeration criteria)` Process a stimulus meant for this behavior.
`void` `run()`
`void` `stop()`

Methods inherited from class visad.java3d.MouseBehaviorJ3D
`cursorRay, destroy, findRay, getMouseHelper, getScreenCoords, instance_unmake_matrix, make_matrix, make_matrix, make_translate, make_translate, multiply_matrix, setWakeup, static_make_matrix, static_make_matrix, static_multiply_matrix, unmake_matrix`

Methods inherited from class javax.media.j3d.Behavior
`getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, getView, getWakeupCondition, postId, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, updateNodeReferences, wakeupOn`

Methods inherited from class javax.media.j3d.Node
`cloneNode, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.MouseBehavior
`cursorRay, findRay, getMouseHelper, getScreenCoords, instance_unmake_matrix, make_matrix, make_matrix, make_translate, make_translate, multiply_matrix`

Field Detail

### display_renderer

    ImmersaDeskDisplayRendererJ3D display_renderer

  DisplayRenderer for Display

### display

    DisplayImpl display

Constructor Detail

### WandBehaviorJ3D

    public WandBehaviorJ3D(ImmersaDeskDisplayRendererJ3D r,
                           int tracker_shmkey,
                           int controller_shmkey)
                    throws VisADException

Method Detail

### initialize

    public void initialize()

  Description copied from class: `MouseBehaviorJ3D`
  Initialize this behavior. NOTE: Applications should not call this method. It is called by the Java 3D behavior scheduler.

  Overrides:
    `initialize` in class `MouseBehaviorJ3D`

### processStimulus

    public void processStimulus(Enumeration criteria)

  Description copied from class: `MouseBehaviorJ3D`
  Process a stimulus meant for this behavior. This method is invoked when a key is pressed. NOTE: Applications should not call this method. It is called by the Java 3D behavior scheduler.

  Overrides:
    `processStimulus` in class `MouseBehaviorJ3D`
  Parameters:
    `criteria` - an enumeration of triggered wakeup criteria

### stop

    public void stop()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`